Add support for ICU 4.2

Enterprise / PostgreSQL - Peter Eisentraut [gmx.net] - 5 August 2017 09:32 EDT

Supporting ICU 4.2 seems useful because it ships with CentOS 6.

Versions before ICU 4.6 don't support pkg-config, so document an installation method without using pkg-config.

In ICU 4.2, ucol_getKeywordsForLocale() sometimes returns values that will not be accepted by uloc_toLanguageTag(). Skip loading keyword
variants in that version.

eccead9 Add support for ICU 4.2
doc/src/sgml/installation.sgml | 22 +++++++++++++++++++---
src/backend/commands/collationcmds.c | 11 +++++++++++
2 files changed, 30 insertions(+), 3 deletions(-)

Upstream: git.postgresql.org


  • Share